/* --------------------------------------------------------
 Generated by Lukman Hakim using sql2java (http://sql2java.sourceforge.net/ )
 jdbc driver used at code generation time: com.microsoft.sqlserver.jdbc.SQLServerDriver
 
 Author : Lukman Hakim (lukman.uki@gmail.com) 
 Date Created : 17/07/2019
 --------------------------------------------------------
*/
package com.portofolio.entity.vo;

import static com.portofolio.base.adapter.DatabaseAdapter.Constant.AKHIR_KURUNG;
import static com.portofolio.base.adapter.DatabaseAdapter.Constant.AWAL_KURUNG;
import static com.portofolio.base.adapter.DatabaseAdapter.Constant.INTEGER;
import static com.portofolio.base.adapter.DatabaseAdapter.Constant.VARCHAR;

import javax.persistence.Column;
import javax.persistence.Embeddable;
import   javax.validation.constraints.NotNull;

import  lombok.AllArgsConstructor;
import  lombok.EqualsAndHashCode;
import  lombok.Getter;
import  lombok.NoArgsConstructor;
import  lombok.Setter;


@Embeddable
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode
public class MapRuanganLoginToRuanganPId implements java.io.Serializable {
     /**
     * 
     */
    private static final String cDefKdProfile =INTEGER;
    @Column(name = "KdProfile",   columnDefinition = cDefKdProfile)
    @NotNull(message = "mapruanganlogintoruanganpid.kdprofile.notnull")
    private Integer kdProfile;
    
    private static final String cDefKdRuanganLogin = VARCHAR + AWAL_KURUNG + 255 + AKHIR_KURUNG;
    @Column(name = "KdRuanganLogin",   columnDefinition = cDefKdRuanganLogin)
    @NotNull(message = "mapruanganlogintoruanganpid.kdruanganlogin.notnull")
    private String kdRuanganLogin;
    
    private static final String cDefKdRuanganPelayann = VARCHAR + AWAL_KURUNG + 255 + AKHIR_KURUNG;
    @Column(name = "KdRuanganPelayanan",   columnDefinition = cDefKdRuanganPelayann)
    @NotNull(message = "mapruanganlogintoruanganpid.kdruanganpelayanan.notnull")
    private String kdRuanganPelayanan;
    
    private static final String cDefEnumJenisMaping = INTEGER;
    @Column(name = "EnumJenisMaping",   columnDefinition = cDefEnumJenisMaping)
    @NotNull(message = "mapruanganlogintoruanganpid.enumjenismapping.notnull")
    private Integer enumJenisMaping;
    
    private static final String cDefEnumKelompokTransaksi = INTEGER;
    @Column(name = "EnumKelompokTransaksi",   columnDefinition = cDefEnumKelompokTransaksi)
    @NotNull(message = "mapruanganlogintoruanganpid.enumkelompoktransaksi.notnull")
    private Integer enumKelompokTransaksi;
    
    

}
